const PeerServer = require("peer").PeerServer

const port = process.env.PORT || 3000

const options = {
  port: port,
  path: "/api",
  debug: true
}

const server = PeerServer(options, server => {
  const host = server.address().address
  const port = server.address().port

  console.log(
    "Started PeerServer on %s, port: %s, path: %s",
    host,
    port,
    options.path || "/"
  )
})

server.on("connection", client => {
  console.log(`Client connected: ${client.getId()}`)
})

server.on("disconnect", client => {
  console.log(`Client disconnected: ${client.getId()}`)
})
